<?php include('fncr-geral/configuracao_geral.php');
$pagina = "cadastros";
$blq_pag = "clientes";
include('fncr-geral/permissoes_restricao.php');


/*
// CLIENTES
$sql = $bd->getConexao()->prepare('
SELECT
  id, tipo, cel, email,
  CASE WHEN tipo=0 THEN nome ELSE razao END as nome,
  CASE WHEN tipo=0 THEN cpf ELSE cnpj END as documento
FROM clientes ORDER BY nome ASC');
if($sql->execute()) { $resul_clientes = $sql->fetchall(PDO::FETCH_ASSOC);}


if(count($resul_clientes)==1){

  $sql = $bd->getConexao()->prepare('SELECT * FROM clubes');
  if($sql->execute()) { $resul_clubes = $sql->fetchall(PDO::FETCH_ASSOC);}

  foreach ($resul_clubes as $l){

    $tipo = ($l['razao']!="" && $l['cnpj']!="") ? 1 : 0;
    $nome = $tipo==0 ? $l['contato'] : "";
    $cpf = $tipo==0 ? $l['cpf'] : "";
    $razao = $tipo==1 ? $l['razao'] : "";
    $cnpj = $tipo==1 ? $l['cnpj'] : "";

    // Verificando se já existe
    if($tipo==0 && $cpf!=""){
      $sql = $bd->getConexao()->prepare('SELECT * FROM clientes WHERE tipo = 0 AND cpf = :cpf AND status = 0');
      $sql->bindValue(':cpf', $cpf, PDO::PARAM_STR);
      if($sql->execute()) { $resul_cli = $sql->fetchall(PDO::FETCH_ASSOC);}
    }
    if($tipo==1 && $cnpj!=""){
      $sql = $bd->getConexao()->prepare('SELECT * FROM clientes WHERE tipo = 1 AND cnpj = :cnpj AND status = 0');
      $sql->bindValue(':cnpj', $cnpj, PDO::PARAM_STR);
      if($sql->execute()) { $resul_cli = $sql->fetchall(PDO::FETCH_ASSOC);}
    }

    // Se não houver cliente
    if(!isset($resul_cli) or isset($resul_cli) && count($resul_cli)==0){

      if($l['status']!=9){
        $sql = $bd->getConexao()->prepare('INSERT INTO clientes
        (tipo, nome, cpf, razao, cnpj, cel, email, endereco, cidade, uf, cep, status) VALUES
        (:tipo, :nome, :cpf, :razao, :cnpj, :cel, :email, :endereco, :cidade, :uf, :cep, 0)');
        $sql->bindValue(':tipo', $tipo, PDO::PARAM_STR);
        $sql->bindValue(':nome', $nome, PDO::PARAM_STR);
        $sql->bindValue(':cpf', $cpf, PDO::PARAM_STR);
        $sql->bindValue(':razao', $razao, PDO::PARAM_STR);
        $sql->bindValue(':cnpj', $cnpj, PDO::PARAM_STR);
        $sql->bindValue(':cel', $l['cel'], PDO::PARAM_STR);
        $sql->bindValue(':email', $l['email'], PDO::PARAM_STR);
        $sql->bindValue(':endereco', $l['endereco'], PDO::PARAM_STR);
        $sql->bindValue(':cidade', $l['cidade'], PDO::PARAM_STR);
        $sql->bindValue(':uf', $l['uf'], PDO::PARAM_STR);
        $sql->bindValue(':cep', $l['cep'], PDO::PARAM_STR);
        if ($sql->execute()) ;

        $id_cliente = $bd->lastId();
      }else{
        $id_cliente = 1;
      }

    }else{
      $id_cliente = $resul_cli[0]['id'];
    }

    $sql = $bd->getConexao()->prepare('UPDATE clubes SET id_cliente = :id_cliente WHERE id = :id');
    $sql->bindValue(':id_cliente', $id_cliente, PDO::PARAM_STR);
    $sql->bindValue(':id', $l['id'], PDO::PARAM_STR);
    $sql->execute();
  }


}
*/



// CLIENTES
$sql = $bd->getConexao()->prepare('
SELECT
  clientes.id, clientes.tipo, clientes.cel, clientes.email, clientes.cidade, clientes.uf, clientes.status,
  clubes.clubes_total, clubes.clubes_ativos, clubes.clubes_inativos,
  CASE WHEN clientes.tipo=0 THEN clientes.nome ELSE clientes.razao END as nome,
  CASE WHEN clientes.tipo=0 THEN clientes.cpf ELSE clientes.cnpj END as documento
FROM clientes
      LEFT JOIN (
                  SELECT id_cliente,
                    sum(1) as clubes_total,
                    sum(CASE WHEN cancelado = 1 THEN 1 ELSE 0 END) as clubes_inativos,
                    sum(CASE WHEN cancelado = 0 AND (status = 2 or status = 9) THEN 1 ELSE 0 END) as clubes_ativos
                  FROM clubes
                  GROUP BY id_cliente
                ) clubes ON clubes.id_cliente = clientes.id
WHERE clientes.representante = 0
ORDER BY clientes.status=9 DESC, clubes_ativos=0, nome ASC');
if($sql->execute()) { $resul_clientes = $sql->fetchall(PDO::FETCH_ASSOC);}


?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
  <?php include('fncr-geral/html-head.php');?>

  <link rel="stylesheet" type="text/css" href="js/datatables2/media/css/jquery.dataTables.css">
  <script type="text/javascript" language="javascript" src="js/datatables2/media/js/jquery.dataTables.js"></script>
  <link rel="stylesheet" href="js/checkbox/jquery.checkbox.css" />

  <script type="text/javascript" language="javascript" class="init">
    $(document).ready(function() {

      // Formatação de Tabelas
      $('table').DataTable({

        stateSave: false, // Salvar última pesquisa
        "dom": '<"top"fl>rt<"bottom"ip><"clear">', // Layout
        "pagingType": "full_numbers", // Modo Paginação
        "iDisplayLength": 50,

        "language": { // Tradução
          "lengthMenu": "Resultados por P&aacute;gina: _MENU_ ",
          "zeroRecords": "N&atilde;o existe Registros para esta pesquisa",
          "info": "P&aacute;gina _PAGE_ de _PAGES_",
          "infoEmpty": "N&atilde;o existe Registros para esta pesquisa",
          "infoFiltered": "(Filtrando de um total de _MAX_ Registros)",
          "search": "Localizar Registro: ",
          "paginate": {
            "first": "Primeira",
            "previous": "Anterior",
            "next": "Pr&oacute;xima",
            "last": "&Uacute;ltima"
          }
        }
      });
    });
  </script>

</head>
<body>

<!-- BARRA SUPERIOR -->
<?php include('barra-sup.php');?>
<!-- MENU PRINCIPAL -->
<?php include('menu.php');?>

<section id="content">

<div class="clearfix padder bg-fncr-clearfix">
<h3 class="m-b">Clientes</h3>

</div>

<section id="content" class="content-sidebar bg-white" style="padding-bottom: 100px;line-height: ">
<section class="main">
<br>

  <div class="col-lg-12">
    <section class="panel">
      <header class="panel-heading">
        <span class="pull-right"><a href="clientes_detalhes.php" class="btn btn-inverse btn-xs">Novo Cliente</a></span>
        <div style="margin-top: 5px">Clientes</div>
      </header>
      <div class="table-responsive">
        <table class="table table-striped b-t text-small">
          <thead>
          <tr>
            <th rowspan="2" class="text-center" width="15"></th>
            <th rowspan="2" class="text-center" width="15"></th>
            <th class="text-center" colspan="6">Dados Cliente</th>
            <th class="text-center" colspan="3">Clubes</th>
          </tr>
          <tr>
            <th>Nome</th>
            <th class="text-center" width="180">Documento</th>
            <th class="text-center" width="150">Celular</th>
            <th class="text-center" width="300">E-mail</th>
            <th class="text-center" width="150">Cidade</th>
            <th class="text-center" width="50">UF</th>
            <th class="text-center" width="60">Ativos</th>
            <th class="text-center" width="60">Inativo</th>
            <th class="text-center" width="60">TOTAL</th>
          </tr>
          </thead>
          <tbody>
          <?php foreach($resul_clientes as $l){ ?>
            <tr>
              <td>
                <a href="clientes_detalhes.php?c=<?php echo $l['id']?>"><i class="fa fa-folder-open fa-lg" title="Abrir"></i></a>
              </td>
              <td class="text-center" style="padding-top: 5px">
                <?php if($l['tipo']==0){ ?>
                  <i class="fa fa-user" style="font-size: 17px; color: #c28f09"></i>
                <?php }else{ ?>
                  <i class="fa fa-university" style="font-size: 17px; color: #609B62"></i>
                <?php } ?>
              </td>
              <td><?php echo $l['nome']?></td>
              <td><?php echo $l['documento']?></td>
              <td><?php echo $l['cel']?></td>
              <td><?php echo $l['email']?></td>
              <td><?php echo $l['cidade']?></td>
              <td class="text-center"><?php echo $l['uf']?></td>
              <td class="text-center"><?php echo $l['clubes_ativos']?></td>
              <td class="text-center"><?php echo $l['clubes_inativos']?></td>
              <td class="text-center"><?php echo $l['clubes_total']?></td>
            </tr>
          <?php } ?>
          </tbody>
        </table>
      </div>
    </section>
  </div>

</section>
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>
<!-- Sparkline Chart -->
<script src="js/charts/sparkline/jquery.sparkline.min.js"></script>
<!-- Easy Pie Chart -->
<script src="js/charts/easypiechart/jquery.easy-pie-chart.js"></script>
  <!-- select2 -->
<script src="js/select2/select2.min.js"></script>
  <!-- fuelux -->
<script src="js/fuelux/fuelux.js"></script>
<!-- datepicker -->
<script src="js/datepicker/bootstrap-datepicker.js"></script>
<!-- slider -->
<script src="js/slider/bootstrap-slider.js"></script>
<!-- file input -->
<script src="js/file-input/bootstrap.file-input.js"></script>
<!-- combodate -->
<script src="js/combodate/moment.min.js"></script>
<script src="js/combodate/combodate.js"></script>
<!-- parsley -->
<script src="js/parsley/parsley.min.js"></script>
<!-- checkbox -->
<script src="js/checkbox/jquery.checkbox.min.js"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>